# Uses of Class
java.security.cert.TrustAnchor

Packages that use TrustAnchor
Package
Description
java.security.cert
Provides classes and interfaces for parsing and managing certificates, certificate revocation lists (CRLs), and certification paths.

## Uses of TrustAnchor in java.security.cert

Methods in java.security.cert that return TrustAnchor
Modifier and Type
Method
Description
`TrustAnchor`
PKIXCertPathValidatorResult.`getTrustAnchor()`
Returns the `TrustAnchor` describing the CA that served as a trust anchor for the certification path.
Methods in java.security.cert that return types with arguments of type TrustAnchor
Modifier and Type
Method
Description
`Set<TrustAnchor>`
PKIXParameters.`getTrustAnchors()`
Returns an immutable `Set` of the most-trusted CAs.
Method parameters in java.security.cert with type arguments of type TrustAnchor
Modifier and Type
Method
Description
`void`
PKIXParameters.`setTrustAnchors​(Set<TrustAnchor> trustAnchors)`
Sets the `Set` of most-trusted CAs.
Constructors in java.security.cert with parameters of type TrustAnchor
Modifier
Constructor
Description
``
`PKIXCertPathBuilderResult​(CertPath certPath, TrustAnchor trustAnchor, PolicyNode policyTree, PublicKey subjectPublicKey)`
Creates an instance of `PKIXCertPathBuilderResult` containing the specified parameters.
``
`PKIXCertPathValidatorResult​(TrustAnchor trustAnchor, PolicyNode policyTree, PublicKey subjectPublicKey)`
Creates an instance of `PKIXCertPathValidatorResult` containing the specified parameters.
Constructor parameters in java.security.cert with type arguments of type TrustAnchor
Modifier
Constructor
Description
``
`PKIXBuilderParameters​(Set<TrustAnchor> trustAnchors, CertSelector targetConstraints)`
Creates an instance of `PKIXBuilderParameters` with the specified `Set` of most-trusted CAs.
``
`PKIXParameters​(Set<TrustAnchor> trustAnchors)`
Creates an instance of `PKIXParameters` with the specified `Set` of most-trusted CAs.